<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
	targetNamespace="http://www.ansys.com/ekm/units"
	xmlns:ekmUnits="http://www.ansys.com/ekm/units">
	
	<xsd:complexType name="Unit">
		<xsd:attribute name="name" type="xsd:string" use="required" />
		<xsd:attribute name="multFactor" type="xsd:double" use="required" />
		<xsd:attribute name="addFactor" type="xsd:double" use="optional" />	
	</xsd:complexType>
	
	<xsd:complexType name="Quantity">
		<xsd:sequence>
			<xsd:element name="unit" type="ekmUnits:Unit" maxOccurs="unbounded"/>
		</xsd:sequence>
		<xsd:attribute name="name" type="xsd:string" use="required" />
	</xsd:complexType>
	
	<xsd:complexType name="Quantities">
		<xsd:sequence>
			<xsd:element name="quantity" type="ekmUnits:Quantity" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>
	
	<xsd:complexType name="UnitSystemQuantity">
		<xsd:attribute name="name" type="xsd:string" use="required" />
		<xsd:attribute name="unit" type="xsd:string" use="required" />
	</xsd:complexType>
	
	<xsd:complexType name="UnitSystem">
		<xsd:sequence>
			<xsd:element name="quantity" type="ekmUnits:UnitSystemQuantity" maxOccurs="unbounded"/>
		</xsd:sequence>
		<xsd:attribute name="name" type="xsd:string" use="required" />
		<xsd:attribute name="baseSystem" type="xsd:string" use="optional" />
	</xsd:complexType>
	
	<xsd:complexType name="UnitSystems">
		<xsd:sequence>
			<xsd:element name="unitSystem" type="ekmUnits:UnitSystem" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>
	
	<xsd:complexType name="Units">
		<xsd:sequence>
			<xsd:element name="quantities" type="ekmUnits:Quantities"/>
			<xsd:element name="unitSystems" type="ekmUnits:UnitSystems"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:element name="units" type="ekmUnits:Units" />

</xsd:schema>